System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.ControlDesigner

In a visual designer, when you switch from Source to Design view, the markup source code that describes the control is parsed and a design-time version of the control is created on the design surface. When you switch back to Source view, the design-time control is persisted to the markup source code and edited into the markup for the Web page.

Used to provide design-time support in a visual designer for the Web server control.

- Constructor

  The .NET Framework internally constructs a new instance of the class when it creates the associated control or a copy of that control on the design surface.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  The method replaces the property with the property of the control if the contains no displayable characters. Then, the method calls its base method, , which calls into the method to generate the markup.

  Gets the markup that is used to render the associated control at design time.

  A containing the markup used to render the at design time.

  1.0.5000.0
  2.0.0.0